Fetch a list of Execution.
curl --request GET \
--url https://mycluster.domino.tech/flows/api/v1/executions/{id.project}/{id.domain}import requests
url = "https://mycluster.domino.tech/flows/api/v1/executions/{id.project}/{id.domain}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mycluster.domino.tech/flows/api/v1/executions/{id.project}/{id.domain}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executions": [
{
"closure": {
"abort_cause": "<string>",
"abort_metadata": {
"cause": "<string>",
"principal": "<string>"
},
"computed_inputs": {
"literals": {}
},
"created_at": "2023-11-07T05:31:56Z",
"duration": "<string>",
"error": {
"code": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"message": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"notifications": [
{
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"phases": [
"UNDEFINED"
],
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
],
"output_data": {
"literals": {}
},
"outputs": {
"uri": "<string>",
"values": {
"literals": {}
}
},
"phase": "UNDEFINED",
"started_at": "2023-11-07T05:31:56Z",
"state_change_details": {
"occurred_at": "2023-11-07T05:31:56Z",
"principal": "<string>",
"state": "EXECUTION_ACTIVE"
},
"updated_at": "2023-11-07T05:31:56Z",
"workflow_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
}
},
"id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"spec": {
"annotations": {
"values": {}
},
"auth_role": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"disable_all": true,
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"execution_cluster_label": {
"value": "<string>"
},
"execution_env_assignments": [
{
"execution_env": {
"extant": {},
"name": "<string>",
"spec": {},
"type": "<string>",
"version": "<string>"
},
"node_ids": [
"<string>"
],
"task_type": "<string>"
}
],
"inputs": {
"literals": {}
},
"interruptible": true,
"labels": {
"values": {}
},
"launch_plan": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>",
"resource_type": "UNSPECIFIED",
"version": "<string>"
},
"max_parallelism": 123,
"metadata": {
"artifact_ids": [
{
"artifact_key": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"partitions": {
"value": {}
},
"time_partition": {
"granularity": "UNSET",
"value": {
"input_binding": {
"var": "<string>"
},
"runtime_binding": {},
"static_value": "<string>",
"time_value": "2023-11-07T05:31:56Z",
"triggered_binding": {
"bind_to_time_partition": true,
"partition_key": "<string>",
"time_transform": {
"op": "MINUS",
"transform": "<string>"
}
}
}
},
"version": "<string>"
}
],
"mode": "MANUAL",
"nesting": 123,
"parent_node_execution": {
"execution_id": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"node_id": "<string>"
},
"principal": "<string>",
"reference_execution": {
"domain": "<string>",
"name": "<string>",
"org": "<string>",
"project": "<string>"
},
"scheduled_at": "2023-11-07T05:31:56Z",
"system_metadata": {
"execution_cluster": "<string>",
"namespace": "<string>"
}
},
"notifications": {
"notifications": [
{
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"phases": [
"UNDEFINED"
],
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
]
},
"overwrite_cache": true,
"quality_of_service": {
"spec": {
"queueing_budget": "<string>"
},
"tier": "UNDEFINED"
},
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"security_context": {
"run_as": {
"execution_identity": "<string>",
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
}
},
"secrets": [
{
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
],
"tokens": [
{
"client": {
"client_id": "<string>",
"client_secret": {
"env_var": "<string>",
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY"
}
},
"idp_discovery_endpoint": "<string>",
"name": "<string>",
"token_endpoint": "<string>",
"type": "CLIENT_CREDENTIALS"
}
]
},
"tags": [
"<string>"
]
}
}
],
"token": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
Query Parameters
User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'
Optional, org key applied to the resource.
Indicates the number of resources to be returned. +required
In the case of multiple pages of results, this server-provided token can be used to fetch the next page in a query. +optional
Indicates a list of filters passed as string. More info on constructing filters : +optional
Indicates an attribute to sort the response values. +required
Indicates the direction to apply sort key for response values. +optional
- DESCENDING: By default, fields are sorted in descending order.
DESCENDING, ASCENDING Related topics
Fetches a list of TaskExecution.Fetch a list of NodeExecution.Fetches a Execution.Fetch a list of NodeExecution launched by the reference TaskExecution.Was this page helpful?
